<!DOCTYPE html>
<html lang="ca">
<head>
	<title> "M04-Anabel Lozano" </title>
	<meta charset="UTF-8"/>
	<meta  name = "description" content = "El primer exercici de classe de HTML5"/>
	<meta name = "keywords" content = "M04,exercicis,html5,css,git,gitlab"/>
	<meta name = "author" content = "Anabel Lozano"/>
</head>
<body style="background-color:powderblue;">
<header>
	<h1>M04 - Llenguatges de marques</h1>
	<h2>Anabel_DAMIX-B</h2>
	<h1><u style ="color:lilac">GITLAB</u></h1>
</header>
<article>
	<section>
		
		<img id="logo" src="logo/gitlab.png" alt="jitlab.com" width="104" height="142">
		<h1><u style ="color:green">Com Utilizar el Gitlab.</u></h1>
		<p>és un servei web de control de versions i desenvolupament de programari col·laboratiu basat en Git. A més de gestor de repositoris, el servei ofereix també allotjament de wikis i un sistema de seguiment d'errors, tot això publicat sota una Llicència de codi obert.</p>
		
		<h1><u style ="color:green">Funcionalitats de GitLab.</u></h1>
		<p>En GitLab podem gestionar principalment projectes, Grups i Sinppets. Els projectes són els protagonistes del sistema, bàsicament dipòsits de programari gestionats per GitLab i tot l'ecosistema GitLab. Els grups són bàsicament empreses i usuaris. Els snippets per la seva banda són com trossos de codi que pots deixar per fer qualsevol cosa.</p>
		
		<p>Com diem, dins dels projectes és on s'aglutinen la majoria de les funcionalitats que anem a resumir:</p>
		
		<ul>
			<li>Overview:Es un listado de todo el proyecto, los archivos, los README.md. Es parecido a lo que vemos cuando accedemos a un proyecto con GitHub. Te da el resumen del repositorio, archivos, commits, etc.</li>
		</ul>
		
		<ul>
			<li>Repository:Dentro de la sección "Repository" tenemos varias opciones diversas que afectan al repositorio del proyecto.</li>
		</ul>
		
		<ul>
			<li>Issues:Este es otra de las grandes utilidades de GitLab, que permite definir cualquier problema que se detecta en el software y darle seguimiento. Seguro que las conocemos porque es una de las partes fundamentales de GitHub y habremos navegado por ellas en decenas de ocasiones.</li>
		</ul>
		
		<ul>
			<li> Merge Request:Son como las Pull Request de GitHub. Te permiten controlar todas las solicitudes de combinación o unión de código de distintas ramas o forks. Es muy importante que los merges se resuelvan mediante la interfaz gráfica, ya que nos ofrece muchas posibilidades interesantes, como automatización de tests, la posibilidad de revisión de los cambios por parte de componentes del equipo, implementar diversas políticas de control sobre el código del proyecto, etc. </li>
		</ul>
		
		<ul>
			<li> CI/CD:Es una de las maravillas que dispone GitLab, una herramienta sencilla y muy útil para los procesos de integración continua y despliegue continuo. Existen muchas herramientas que se pueden integrar para automatizar los procesos y llegar a crear flujos de trabajo completamente automatizados. De modo que se lancen los test y si todo va bien se puedan realizar una serie de tareas definida, que pueden llegar a producir el despliegue automático de las aplicaciones. </li>
		</ul>
	</section>
</article>
	
	<aside>
		<ul>
			<li>Amb el Gitlab pujarem els exercicis de html i css.
			</li>
		</ul>
			
			<a href ="https://gitlab.com/">Aquest es el link per arribar a gitlab</a>
			
			<p>Aquest es el  per arribar a veure un video per saber utilitzar el GitLab:<a href ="https://escuela.it/cursos/curso-de-gitlab/clase/ejemplo-real-de-uso-de-gitlab" rel="external"><cite>Link per veure el video</cite></a></p>
		
	</aside>
	
	<footer>
		<ul class="validators">
			<li class="html">
				<a href="http://validator.w3.org/check/referer" rel="nofollow" title="Validate HTML"/>
				<img src="logo/html.png" alt="html5" width="50" height="50"/>
			</li>
			<a href='#index2'></a>
			<p class="author">Anabel Lozano Romera</p>
			<div><a href="https://gitlab.com/anabel.lozano.romera/m4" >Inici UF</a></div>
		</ul>
	</footer>

</body>
</html>